FOPCFFDataInput (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.fonts.cff

## Class FOPCFFDataInput

- java.lang.Object
- - org.apache.fontbox.cff.DataInputByteArray
  - - org.apache.fop.fonts.cff.FOPCFFDataInput

- All Implemented Interfaces:
    org.apache.fontbox.cff.DataInput

      public class FOPCFFDataInput
      extends org.apache.fontbox.cff.DataInputByteArray

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FOPCFFDataInput(byte[] buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPosition()`
    `boolean` | `hasRemaining()`
    `int` | `length()`
    `int` | `peekUnsignedByte(int offset)`
    `byte` | `readByte()`
    `byte[]` | `readBytes(int length)`
    `int` | `readUnsignedByte()`
    `void` | `setPosition(int position)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.fontbox.cff.DataInput

      `readInt, readOffset, readShort, readUnsignedShort`

- - ### Constructor Detail

    - #### FOPCFFDataInput

          public FOPCFFDataInput(byte[] buffer)

  - ### Method Detail

    - #### hasRemaining

          public boolean hasRemaining()
                               throws IOException

      Specified by:
        `hasRemaining` in interface `org.apache.fontbox.cff.DataInput`
      Overrides:
        `hasRemaining` in class `org.apache.fontbox.cff.DataInputByteArray`
      Throws:
        `IOException`

    - #### getPosition

          public int getPosition()

      Specified by:
        `getPosition` in interface `org.apache.fontbox.cff.DataInput`
      Overrides:
        `getPosition` in class `org.apache.fontbox.cff.DataInputByteArray`

    - #### setPosition

          public void setPosition(int position)
                           throws IOException

      Specified by:
        `setPosition` in interface `org.apache.fontbox.cff.DataInput`
      Overrides:
        `setPosition` in class `org.apache.fontbox.cff.DataInputByteArray`
      Throws:
        `IOException`

    - #### readByte

          public byte readByte()
                        throws IOException

      Specified by:
        `readByte` in interface `org.apache.fontbox.cff.DataInput`
      Overrides:
        `readByte` in class `org.apache.fontbox.cff.DataInputByteArray`
      Throws:
        `IOException`

    - #### readUnsignedByte

          public int readUnsignedByte()
                               throws IOException

      Specified by:
        `readUnsignedByte` in interface `org.apache.fontbox.cff.DataInput`
      Overrides:
        `readUnsignedByte` in class `org.apache.fontbox.cff.DataInputByteArray`
      Throws:
        `IOException`

    - #### peekUnsignedByte

          public int peekUnsignedByte(int offset)
                               throws IOException

      Specified by:
        `peekUnsignedByte` in interface `org.apache.fontbox.cff.DataInput`
      Overrides:
        `peekUnsignedByte` in class `org.apache.fontbox.cff.DataInputByteArray`
      Throws:
        `IOException`

    - #### readBytes

          public byte[] readBytes(int length)
                           throws IOException

      Specified by:
        `readBytes` in interface `org.apache.fontbox.cff.DataInput`
      Overrides:
        `readBytes` in class `org.apache.fontbox.cff.DataInputByteArray`
      Throws:
        `IOException`

    - #### length

          public int length()
                     throws IOException

      Specified by:
        `length` in interface `org.apache.fontbox.cff.DataInput`
      Overrides:
        `length` in class `org.apache.fontbox.cff.DataInputByteArray`
      Throws:
        `IOException`

Copyright © 2025 Apache Software Foundation. All rights reserved.